Subject: bug#47552: 27.1; cl-defstruct field names matching read-only variables -> bad code

From: Michael Heerdegen <[email-masked]>
Date: Sun, 25 Jun 2023 06:45:25 +0200

Stefan Monnier <[email-masked]> writes:

> AFAIK, `date` is not globally defined as dynbound by diary, so it should
> not be a problem.  More specifically, the `date` variable is treated as
> dynbound only inside calendar's own files, but not in code found in
> other files.

Hmm, indeed.

> If you found it to be otherwise, please report it as a bug.

It turned out I had created an alias for the variable (using
`defvaralias') long ago, more or less only to get rid of warnings at
that moment, AFAIR.  Seems that this makes the variable special
globally.

Michael.